package cn.iocoder.yudao.module.product.convert.envdata;

import java.util.*;

import cn.iocoder.yudao.framework.common.pojo.PageResult;

import org.mapstruct.Mapper;
import org.mapstruct.factory.Mappers;
import cn.iocoder.yudao.module.product.controller.admin.envdata.vo.*;
import cn.iocoder.yudao.module.product.dal.dataobject.envdata.EnvDataDO;

/**
 * 环境数据 Convert
 *
 * @author 芋道源码
 */
@Mapper
public interface EnvDataConvert {

    EnvDataConvert INSTANCE = Mappers.getMapper(EnvDataConvert.class);

    EnvDataDO convert(EnvDataCreateReqVO bean);

    EnvDataDO convert(EnvDataUpdateReqVO bean);

    EnvDataRespVO convert(EnvDataDO bean);

    List<EnvDataRespVO> convertList(List<EnvDataDO> list);

    PageResult<EnvDataRespVO> convertPage(PageResult<EnvDataDO> page);

}
